//
//  SLFriensInfoVc.m
//  SLAiELTS
//
//  Created by Gusont on 2023/4/10.
//

#import "SLFriensInfoVc.h"
#import "SDTimeLineTableHeaderView.h"
#import "SLMessageViewController.h"
#import "SLMomentsVc.h"

@interface SLFriensInfoVc ()
@property (weak, nonatomic) IBOutlet UIImageView *fHeardImageView;
@property (weak, nonatomic) IBOutlet UIButton *userNameLabel;
@property (weak, nonatomic) IBOutlet UILabel *locLabel;
@property (weak, nonatomic) IBOutlet UIView *fpyqBgView;

@end

@implementation SLFriensInfoVc

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view from its nib.
    NSString *userImg = [NSString stringWithFormat:@"%@%@",[SLHttpCenter SharedInstance].serverUrl, self.friendModel.head];
    [self.fHeardImageView sd_setImageWithURL:[NSURL URLWithString:userImg] placeholderImage:ImageName(@"icon_ellipse")];
    [self.userNameLabel setTitle:self.friendModel.name forState:UIControlStateNormal];
    self.navigationBar.separatorHeight = 0.0f;
    WS(weakSelf);
    [self.fpyqBgView addTapWithBlock:^{
        SLMomentsVc *vc = [SLMomentsVc loadViewControllewWithNib];
        SLUserModel *userModel = [[SLUserModel alloc] init];
        userModel.userId = weakSelf.friendModel.contactsId;
        vc.userModel = userModel;
        [weakSelf navPushViewController:vc animated:YES];
    }];
}

- (IBAction)toMsgBtnClick:(id)sender {
    SLMessageViewController *vc = [SLMessageViewController loadViewControllewWithNib];
    vc.friendModel = self.friendModel;
    [self navPushViewController:vc animated:YES];
}

@end
